ChartFont (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.util.ChartFont,ChartFont class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties.util
Class ChartFont

    java.lang.Object
      |
      +--org.jCharts.properties.util.ChartItem
            |
            +--org.jCharts.properties.util.ChartFont

public class ChartFont
extends ChartItem

Field Summary
`private java.awt.geom.AffineTransform` | `affineTransform`
`static ChartFont` | `DEFAULT_AXIS_SCALE`
`static ChartFont` | `DEFAULT_AXIS_TITLE`
`static ChartFont` | `DEFAULT_AXIS_VALUE`
`static ChartFont` | `DEFAULT_CHART_TITLE`
`static ChartFont` | `DEFAULT_PIE_VALUE`
`private java.awt.Font` | `font`
`static java.awt.geom.AffineTransform` | `VERTICAL_ROTATION`

Fields inherited from class org.jCharts.properties.util.ChartItem
``

Constructor Summary
`ChartFont(java.awt.Font font, java.awt.Paint paint)`

Method Summary
`java.awt.Font` | `deriveFont()`
`java.awt.Font` | `getFont()`
`void` | `setupGraphics2D(java.awt.Graphics2D graphics2D)` Sets the Paint and Stroke implementations on the Graphics2D Object

Methods inherited from class org.jCharts.properties.util.ChartItem
`getPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_AXIS_TITLE

    public static final ChartFont DEFAULT_AXIS_TITLE

### DEFAULT_AXIS_VALUE

    public static final ChartFont DEFAULT_AXIS_VALUE

### DEFAULT_AXIS_SCALE

    public static final ChartFont DEFAULT_AXIS_SCALE

### DEFAULT_PIE_VALUE

    public static final ChartFont DEFAULT_PIE_VALUE

### DEFAULT_CHART_TITLE

    public static final ChartFont DEFAULT_CHART_TITLE

### VERTICAL_ROTATION

    public static final java.awt.geom.AffineTransform VERTICAL_ROTATION

### font

    private java.awt.Font font

### affineTransform

    private java.awt.geom.AffineTransform affineTransform

Constructor Detail

### ChartFont

    public ChartFont(java.awt.Font font,
                     java.awt.Paint paint)

Parameters:
  `font` -
  `paint` -

Method Detail

### setupGraphics2D

    public void setupGraphics2D(java.awt.Graphics2D graphics2D)

  Sets the Paint and Stroke implementations on the Graphics2D Object

  Overrides:
    `setupGraphics2D` in class `ChartItem`
  Parameters:
    `graphics2D` -

### getFont

    public java.awt.Font getFont()

  Returns:
    font

### deriveFont

    public java.awt.Font deriveFont()

  Returns:
    boolean public boolean isAntiAliased() { return isAntiAliased; } /**************************************************************************************

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD